package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Dagger;

public class Goblin extends Enemy {

    public Goblin() {
        super("Goblin", 80, 0, new Dagger() , 20);
    }

    @Override
    public void specialAbility(Entity target) {
        int damage = getWeapon().getDamage() + 5;

        target.takeDamage(damage);


        System.out.println("Goblin uses Sneak Attack!");
        System.out.println(target.getName() + " takes " + damage + " damage.");
    }
}
